<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pengajuan_aduans', function (Blueprint $table) {
            $table->id();
            $table->string('caseid');
            $table->string('status');
            $table->string('nama');
            $table->string('nomor_telepon');
            $table->string('subjek');
            $table->string('lokasi');
            $table->string('kategori');
            $table->string('bukti_laporan');
            $table->text('deskripsi_laporan');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pengajuan_aduans');
    }
};
